# enterCoreContent

{% tabs %}
{% tab title="Swift" %}

```swift
NamiMLManager.enterCoreContent(label: String)
```

{% endtab %}

{% tab title="Kotlin" %}

```kotlin
NamiMLManager.enterCoreContent(label: String)
```

{% endtab %}

{% tab title="Flutter" %}

```cplusplus
// Use version that takes List<String> (see below)
```

{% endtab %}

{% tab title="React Native" %}

```javascript
NativeModules.NamiMLManagerBridge.enterCoreContentWithLabel(label: String);
```

{% endtab %}
{% endtabs %}

**Arguments**

* (required) `label`: String that describes the content being consumed. The same string must be used in both [enterCoreContent](/sdk-reference/namimlmanager/entercorecontent.md) and [exitCoreContent](/sdk-reference/namimlmanager/exitcorecontent.md) calls.

### Content with Hierarchies

If your content has a nested relationship between the tags, we provide a call that will allow you to inform Nami about that structure.

{% tabs %}
{% tab title="Swift" %}

```swift
NamiMLManager.enterCoreContent(labels: [String])
```

{% endtab %}

{% tab title="Kotlin" %}

```kotlin
NamiMLManager.enterCoreContent(labels: List<String>)
```

{% endtab %}

{% tab title="Flutter" %}

```dart
NamiMLManager.enterCoreContent(List<String> labels);
```

{% endtab %}

{% tab title="React Native" %}

```javascript
NativeModules.NamiMLManagerBridge.enterCoreContent(labels: [String])
```

{% endtab %}
{% endtabs %}

**Arguments**

* `labels` a list of strings where the list is ordered by the relationship of the content, such as \["video", "basketball", "michael jordan"].


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.namiml.com/sdk-reference/namimlmanager/entercorecontent.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
